Skip to main content
POST
/
projects
/
{project_reference}
/
agents
/
{agent_id}
/
avatar
Generate Agent Avatar
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/avatar \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "seed": "<string>",
    "texture": "<string>",
    "color": "<string>",
    "matrix": "<string>"
  }
}
'
{
  "avatar_url": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
agent_id
string
required

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Body

application/json
config
object

Agent avatar config options. Omit seed to reroll a new avatar. With an explicit seed, missing visual values default from the existing agent avatar config.

Response

Agent avatar generated

avatar_url
string<uri>
required